summaryrefslogtreecommitdiffstats
path: root/build-ansible.sh
diff options
context:
space:
mode:
authorDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-13 12:04:41 +0000
committerDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-13 12:04:41 +0000
commit975f66f2eebe9dadba04f275774d4ab83f74cf25 (patch)
tree89bd26a93aaae6a25749145b7e4bca4a1e75b2be /build-ansible.sh
parentInitial commit. (diff)
downloadansible-975f66f2eebe9dadba04f275774d4ab83f74cf25.tar.xz
ansible-975f66f2eebe9dadba04f275774d4ab83f74cf25.zip
Adding upstream version 7.7.0+dfsg.upstream/7.7.0+dfsg
Signed-off-by: Daniel Baumann <daniel.baumann@progress-linux.org>
Diffstat (limited to '')
-rwxr-xr-xbuild-ansible.sh26
1 files changed, 26 insertions, 0 deletions
diff --git a/build-ansible.sh b/build-ansible.sh
new file mode 100755
index 000000000..943705665
--- /dev/null
+++ b/build-ansible.sh
@@ -0,0 +1,26 @@
+#!/bin/sh
+# GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)
+# SPDX-License-Identifier: GPL-3.0-or-later
+# SPDX-FileCopyrightText: Ansible Project, 2020
+
+set -e
+
+VERSION="7.7.0"
+MAJOR="7"
+
+# For idempotency, remove build data or built output first
+rm -rf ansible-build-data built
+
+pip3 install --user --upgrade antsibull
+git clone https://github.com/ansible-community/ansible-build-data.git
+mkdir -p built collection-cache
+BUILD_DATA_DIR="ansible-build-data/${MAJOR}"
+BUILDFILE="ansible-${MAJOR}.build"
+DEPSFILE="ansible-${VERSION}.deps"
+
+antsibull-build rebuild-single "${VERSION}" --collection-cache collection-cache --data-dir "${BUILD_DATA_DIR}" --build-file "${BUILDFILE}" --deps-file "${DEPSFILE}" --sdist-dir built --debian
+
+echo "The result can be found in built/ansible-${VERSION}.tar.gz"
+
+# pip3 install --user twine
+# twine upload "built/ansible-${VERSION}.tar.gz" \ No newline at end of file